Bug 179956 - aRecord not defined
aRecord not defined
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks: 152373 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2006-02-03 20:38 EST by Yacine Kheddache
Modified: 2015-01-04 18:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 18:58:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rcf1274 support (5.73 KB, patch)
2007-08-14 13:34 EDT, Simo Sorce
no flags Details | Diff

  None (edit)
Description Yacine Kheddache 2006-02-03 20:38:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
I guess all details are in this thread :
https://www.redhat.com/archives/fedora-directory-users/2005-July/msg00148.html

I just found this issue when I tryed to migrate dnszone schema from openldap to FDS.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just import a schema which use the aRecord attribute (ex: dnszone from dns-ldap project).

  

Actual Results:  Error when restarting FDS with dnszone schema:
[30/Jan/2006:19:10:19 -0500] dse - The entry cn=schema in file /opt/fedora-ds/slapd-ldapmst01/config/schema/79dnszone.ldif is invalid, error code 21 (Invalid syntax) - object class dNSZone: Unknown allowed attribute type "ARecord"

Expected Results:  aRecord should included in FDS (RFC compliant) and then no "dirty" workaround will be necessary anymore (alias on dNSRecord).

Additional info:
Comment 1 Yacine Kheddache 2006-02-05 14:08:11 EST
In fact it is the same issue for the other DNS recors, based on RFC 1274 :

8.3.9.  DNS Domain

   The DNS Domain (Domain NameServer) object class is used to define
   entries for DNS domains.  The usage of this object class is described
   in more detail in [3].

     dNSDomain OBJECT-CLASS
         SUBCLASS OF domain
         MAY CONTAIN {
             ARecord,
             MDRecord,
             MXRecord,
             NSRecord,
             SOARecord,
             CNAMERecord}
     ::= {pilotObjectClass 15}

Just for information, on openldap these DNS attributs are in cosine schema.
Comment 2 Simo Sorce 2007-08-14 13:34:09 EDT
Created attachment 161286 [details]
rcf1274 support

attached a patch to change the fedora-ds schema so that it includes the
dnsdomain class as defined by rfc1274 which has been confirmed by rfc3383.

dNSRecord is kept as an alias of ARecord for backward compatibility.
Comment 5 Rich Megginson 2009-01-15 15:29:52 EST
Checking in 05rfc2247.ldif;
/cvs/dirsec/ldapserver/ldap/schema/05rfc2247.ldif,v  <--  05rfc2247.ldif
new revision: 1.5; previous revision: 1.4
done
Checking in 28pilot.ldif;
/cvs/dirsec/ldapserver/ldap/schema/28pilot.ldif,v  <--  28pilot.ldif
new revision: 1.6; previous revision: 1.5
done
Comment 6 Jenny Galipeau 2009-03-11 12:20:02 EDT
fix verified DS 8.1 RHEL5:

[root@jennyv2 schema]# cat * | grep DNSDomain
objectClasses: ( 0.9.2342.19200300.100.4.15 NAME 'DNSDomain' DESC 'Pilot objectclass' SUP domain MAY ( ARecord $ MDRecord $ MXRecord $ NSRecord $ SOARecord $ CNAMERecord ) X-ORIGIN 'Internet directory pilot' )
Comment 7 Chandrasekar Kannan 2009-04-29 18:58:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.